<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2011 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at www.gnu.org/licenses/agpl.html. Removal of this    |
| copyright header is strictly prohibited without       |
| written permission from the original author(s).       |
+------------------------------------------------------*/
/*------------------------------------------------------+
|     Theme Armadele for PHP-Fusion v7                  |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| author: Tams Lszl (tomi6230i)                      |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>"); //?

require_once INCLUDES."theme_functions_include.php";


function render_page($license = false) {
	
	global $settings, $main_style, $locale, $mysql_queries_time;

	echo "<div class='container'>\n";
	echo "<div class='banner-wrap'>\n";
	echo "<div class='banner'>\n";
	echo "<div class='logowrap'>\n";
	echo showbanners();
	echo "</div>\n";
	echo "<div class='topbars'>\n";
	echo "<div class='topbarleft'></div>\n";
	echo "<div class='topbarright'></div>\n";
	echo "<ul class='topnav'>\n";
	$sublinks = showsublinks('');
	echo substr($sublinks,4,strlen($sublinks)-10);
	echo "<li class='right'>\n";
	echo "<form method='get' id='searchform2' action='".BASEDIR."search.php'>\n";
	echo "<div><input type='text' value='' name='stext' id='s2' /></div>\n";
	echo "<div><input type='submit' id='searchsubmit2' value='' /></div>\n";
	echo "</form>\n";
	echo "</li>\n";
	echo "</ul>\n";
	echo "</div>\n";
	echo "</div>\n";
	echo "</div>\n";

	echo "<div id='wrapper'>\n";
	echo "<div class='posts-wrap'>\n";
	echo U_CENTER.CONTENT.L_CENTER;
	echo "</div>\n";
	echo "<div class='sidebar-wrap'>\n";
	echo "<div class='sidebar block-1'>\n";
	echo LEFT.RIGHT;
	echo "</div>\n";
	echo "</div>\n";

	echo "<div class='contentbottom'></div>\n";
	echo "</div>\n";
	echo "<div class='push'></div>\n";
	echo "</div>\n";
	echo "<div id='footer'>\n";
	echo "<div class='marginauto'>\n";
	echo "<div class='left'>\n";
	echo "<div class='big'>".stripslashes($settings['footer'])."<span class='small'></span></div>\n";
	echo "<div class='small'>\n";
	if (!$license) echo showcopyright();
	echo "</div>\n";
	echo "</div>\n";
	echo "<div class='right'>\n";
	echo showcounter();
	echo "</div>\n";
	echo "</div>\n";
	echo "</div>\n";
	
}

function render_comments($c_data, $c_info){

	global $locale;
	
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
		$c_makepagenav = '';
		if ($c_info['c_makepagenav'] !== false) {
			$c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";
			echo $c_makepagenav;
		}
		
		foreach($c_data as $data) {
			echo "<div class='comment'>\n";
			echo "<div class='poster'>\n";
			echo "<div class='name'>\n";
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>\n";
			echo $data['comment_name']."\n";
			echo "</div>\n";
			echo "<div class='info'>\n";
			echo substr($data['comment_datestamp'], 2)."<br />";
			echo $data['edit_dell'];
			echo "</div>\n";
			echo "</div>\n";
			echo "<div class='message'>\n";
			echo "<div class='message2'>\n";
			echo $data['comment_message'];
			echo "</div>\n";
			echo "</div>\n";
			echo "</div>\n";
			echo "<div class='clear'></div>\n";

		}
		
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== false)
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {

	echo "<div class='post'>\n";
	echo "<div class='post-date' title='".showdate("newsdate", $info['news_date'])."'>\n";
	echo "<div class='day'>".date('d',$info['news_date'])."</div>\n";
	echo "<div class='month'>".date('M',$info['news_date'])."</div>\n";
	echo "</div>\n";
	echo "<div class='postpadding'>\n";
	echo "<h2 class='entry-title'>\n";
	echo "<a href='news.php?readmore=".$info['news_id']."'>".$info["news_subject"]."</a>\n";
	echo "</h2>\n";
	echo "<div class='entry-header'>\n";
	echo profile_link($info['user_id'], $info['user_name'], $info['user_status'])." | \n";
	echo newscat($info," |").newsopts($info," | ").itemoptions("N",$info['news_id']);
	echo "</div>\n";
	echo "<div class='entry-content'>\n";
	echo $info['cat_image'].$news."\n";
	echo "</div>\n";
	echo "</div>\n";
	echo "<div class='hr'></div>\n";
	echo "</div>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<div class='post'>\n";
	echo "<div class='post-date' title='".showdate("newsdate", $info['article_date'])."'>\n";
	echo "<div class='day'>".date('d',$info['article_date'])."</div>\n";
	echo "<div class='month'>".date('M',$info['article_date'])."</div>\n";
	echo "</div>\n";
	echo "<div class='postpadding'>\n";
	echo "<h2 class='entry-title'>".$subject."</h2>\n";
	echo "<div class='entry-header'>\n";
	echo profile_link($info['user_id'], $info['user_name'], $info['user_status'])." | \n";
	echo articlecat($info," |").articleopts($info,"|").itemoptions("A",$info['article_id']);
	echo "</div>\n";
	echo "<div class='entry-content'>\n";
	echo $info['article_breaks'] == "y" ? nl2br($article) : $article."\n";
	echo "</div>\n";
	echo "</div>\n";
	echo "<div class='hr'></div>\n";
	echo "</div>\n";

}

function opentable($title) {

	echo "<div class='post'>\n";
	echo "<div class='postpadding'>\n";
	echo "<h2 class='entry-title'>".$title."</h2>\n";
	echo "<div class='entry-content'>\n";

}

function closetable() {

	echo "</div>\n";
	echo "</div>\n";
	echo "<div class='hr'></div>\n";
	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<div class='widget'>\n";
	echo "<div class='widget-bg'>\n";
	echo "<h3 class='widgettitle'>";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "".panelbutton($state, $boxname)."\n";
	}
	echo $title."</h3>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
	echo "<div class='widget-content'>\n";

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</div>\n";
	echo "</div>\n";
	echo "</div>\n";

}
?>